ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

This topic contains 18 replies, has 4 voices, and was last updated by  Calin Pristavu 1 year, 9 months ago.

  • Creator
    Topic
  • #14890

    Razva
    Participant

    Hey,

    Here are two cases:

    1) I’m using the –no-dev version of OroCRM. When trying to install Diamante I get this error:

    And if I run with –no-dev I get this error:

    So basically there’s no way to install Diamante with OroCRM –no-dev

    2) I’ve updated OroCRM with –dev and retried installation. Here’s what I get:

    So at this point I cannot see any way of installing Diamante on OroCRM. Can you please give me a hint?

    Thanks!

Viewing 15 replies - 1 through 15 (of 18 total)
  • Author
    Replies
  • #14900
    Dima Soroka
    Dima Soroka
    Oro Core

    Could you please share OroCRM and Diamante versions that you are trying to install?

    #14901

    Razva
    Participant

    I’m following this tutorial. I suppose it’s the latest stable?

    #14922
    Dima Soroka
    Dima Soroka
    Oro Core

    Thanks, we’ll follow up with Diamante team and will get back to you shortly.

    #14932
    Eltrino LLC
    Eltrino LLC
    Participant

    Hi razva,

    Based on your logs I assume you’re using the master branch of OroCRM (version 1.x-dev), which is the development version. DiamanteDesk requires stable OroCRM 1.8.x.

    Before installing DiamanteDesk, make sure to downgrade to OroCRM 1.8 using the following commands:

    git checkout 1.8
    php composer.phar update

    Also, as this extension became public, the installation procedure was simplified. We have updated the instructions as well. In order to install DiamanteDesk, now you should execute only ONE command:


    php app/console oro:package:install diamante/orocrm-integration-bundle

    #14933

    Razva
    Participant

    Hey,

    I’ve tried to use the downgrade method you’ve provided but it failed. Here’s the full log:

    So in the end I’ve made a fresh 1.8 (stable install). Here you can find the installed packages, after the fresh 1.8 install.

    Unfortunately, as you can see, there’s no “Diamante” package available, as suggested by your documentation.

    So I’ve gone the Composer route, as you’ve suggested, by executing “php app/console oro:package:install diamante/orocrm-integration-bundle”. Here’s the result:

    I cannot find any trace of “Desk” in the CRM, so I’ve tried to install it via Composer. Here’s the result:

    As suggested I’ve tried to update it:

    At this point it was obvious that there’s no way to work it out so I’ve made a fresh installation and tried to install it without demo content. Here’s the result:

    But still no trace of “Desk” in the CRM. Do I need to “activate” it somehow in the menu?

    Thanks!

    #14938
    Eltrino LLC
    Eltrino LLC
    Participant

    Hi Razvan,

    Regarding downgrade issue, from what i see

    No attached service to action type named
    remove...

    error occurred not in DiamanteDesk. It appeared in migration files inside OroCRM.

    As for last issue (that you can't find Desk menu) its related to issue that OroCRM package system does not execute install.php. Result is extension files where installed but all OroCRM internal (menus, caches, etc) where not updated at all.

    Currently we are investigating this issue to understand, problem on our side or Oro. We will update this thread after investigation.

    #14939

    Razva
    Participant

    Got it. Any way to access the app, even without the menu items? Like…a direct link (/tesk)?

    #14941
    Eltrino LLC
    Eltrino LLC
    Participant

    I assume that if install.php was not executed, you will need to run

    php app/console oro:platform:update --force
    php app/console oro:navigation:init
    php app/console oro:entity-config:update
    php app/console assets:install
    php app/console diamante:desk:data

    Then use direct link /desk.

    #14944

    Razva
    Participant

    Executed:
    php app/console oro:platform:update --force
    Error:

    On the website:
    An Exception was thrown while handling: Internal Server Error
    From prod.log:

    #14946
    Eltrino LLC
    Eltrino LLC
    Participant

    Regarding first issue, have you ever installed and used orocrm on current server ?
    Second issue i will add to our list and update thread after fixing it.

    Thank you.

    #14951

    Razva
    Participant

    OK, so long story short there’s no way of installing Diamante on CRM right now?

    #14970
    Eltrino LLC
    Eltrino LLC
    Participant

    yes, on other hand you can try standalone application but i think you are interested in integration between crm system. We will keep you updated when issues will be fixed.

    #14971

    Razva
    Participant

    Meanwhile I got back to the CRM master branch, as it has a load of bugfixes. Can you please make Diamante “work” with the master branch of the CRM? Thanks!

    #14981
    Eltrino LLC
    Eltrino LLC
    Participant

    We would be glad to use the OroCRM master branch, but as it currently serves as the development branch, it naturally contains bugs apart from bug fixes. This is a big issue for us as it slows down our development progress due to the multiple changes regularly made in the Oro master branch.

    #14986

    Razva
    Participant

    Understood. Than please let us know when Diamante will be compatible with 1.8 (or 1.9). Is there any newsletter I can signup to, so I don’t forget about this thread?

Viewing 15 replies - 1 through 15 (of 18 total)

You must be logged in to reply to this topic.